classification
Title: Installation failed from source code on Debian ([307/416] test_socket)
Type: crash Stage: resolved
Components: Build Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alimp5, nascheme, ned.deily
Priority: normal Keywords:

Created on 2020-12-09 09:14 by alimp5, last changed 2020-12-13 19:09 by ned.deily. This issue is now closed.

Messages (4)
msg382790 - (view) Author: ali (alimp5) Date: 2020-12-09 09:14
I'm following guide below to install Python3.7 from source on Debian-64Bit.

https://linuxize.com/post/how-to-install-python-3-7-on-ubuntu-18-04/

I'm installing Python3.7.9-final-64bit.

But `make -j 8` hanged out more than 2 hours  on:
0:22:43 load avg: 1.29 [307/416] test_socket

How to fix it !/?
msg382877 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2020-12-11 18:42
Maybe something to do the configuration of the machine, so that TCP/UDP socket networking if failing?  Two things to try:

- give the "python" process a SIGINT signal and you should get a traceback showing where it is hanging.  Or you could use "gdb" and attach to the process (assuming you know how to use gdb).

- configure without PGO (i.e. don't specify "--enable-optimizations" to conifgure).  That will result in a slightly slower build but the build will not require running of the tests.
msg382902 - (view) Author: ali (alimp5) Date: 2020-12-12 06:45
I used build_all  instead of --enable-optimizations option.

Thanks you.
msg382937 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-12-13 19:09
Also, I have seen test_socket hang like this in the past on Debian when building with older versions of openssl 1.1.0. If possible, try upgrading to a later or current version of openssl 1.1.0.
History
Date User Action Args
2020-12-13 19:09:33ned.deilysetnosy: + ned.deily
messages: + msg382937
2020-12-12 06:45:59alimp5setstatus: open -> closed
resolution: fixed
messages: + msg382902

stage: resolved
2020-12-11 18:42:51naschemesetnosy: + nascheme
messages: + msg382877
2020-12-09 09:14:29alimp5create